John,

We are now at the point of needing to update our server (XServe) to Snow Leopard. We have a small workgroup of seven users with desktops using Snow Leopard but our server is Snow Leopard and NUTD Server is located on that computer. Should NUTD (5.3.2) work from Snow Leopard Server, Mac OS X 10.6.3. Any help would be appreciated. Thank you.